# norootforbuild

Summary:	Use esd/arts with vmware
Name:		vmwaredsp
Version:	1.3
Release:	1.3
URL:		http://ftp.cvut.cz/vmware
Source:		http://ftp.cvut.cz/vmware/%{name}-%{version}.tar.gz
Patch0:		vmwaredsp-suse_10.3_fixes.patch
License:	LGPL
Group:		Applications/Emulators
BuildRoot:	%{_tmppath}/%{name}-root
ExclusiveArch:	%ix86
BuildRequires:	esound-devel arts-devel

%description
Use esd/arts with vmware

%prep
%setup -q
%patch0

%build
# Only build 32bit... why would 64bit be needed? (suse has 32bit compat libs)
rm -Rf 32/*
cd src/32
make clean
make
make update

%install
DESTDIR=$RPM_BUILD_ROOT ./runme.sh
rm -Rf $RPM_BUILD_ROOT/usr/lib/x86_64

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/vmware*
%_libdir/libvmdsp*

%changelog
* Tue Nov 13 2007 Wade Berrier  <wberrier@gmail.com>
- new package, get building on suse 10.3

